Summary:        Java library for the client side of basic internet protocols
Name:           apache-commons-net
Version:        3.8.0
Release:        3%{?dist}
License:        ASL 2.0
URL:            http://commons.apache.org/net/
Source0:        http://archive.apache.org/dist/commons/net/source/commons-net-%{version}-src.tar.gz

BuildRequires:  maven-local mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-parent:pom:)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildArch:      noarch

%description
Apache Commons Net™ library implements the client side of many basic 
Internet protocols. The purpose of the library is to provide fundamental 
protocol access, not higher-level abstractions. Therefore, some of the 
design violates object-oriented design principles.

%package javadoc
Summary:    API documentation for %{name}

%description javadoc
%{summary}.

%prep
%autosetup -n commons-net-%{version}-src

rm src/test/java/org/apache/commons/net/time/TimeTCPClientTest.java
rm src/test/java/org/apache/commons/net/tftp/TFTPServerPathTest.java
rm src/test/java/org/apache/commons/net/ftp/TestConnectTimeout.java

%pom_remove_plugin :exec-maven-plugin

%pom_remove_dep org.apache.ftpserver:ftpserver-core
rm src/test/java/org/apache/commons/net/ftp/FTPSClientTest.java

%mvn_file  : commons-net %{name}
%mvn_alias : org.apache.commons:commons-net

%build
%mvn_build -- -Dmaven.compiler.source=1.7 -Dmaven.compiler.target=1.7 -Dcommons.osgi.symbolicName=org.apache.commons.net

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt NOTICE.txt
%doc README.md RELEASE-NOTES.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.8.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.8.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Sun Apr 23 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.8.0-1
- Initial build
